Group
Extension

OpenAPI-Client-OpenAI/blib/lib/OpenAPI/Client/OpenAI/Path/responses.pod

=encoding utf8

=head1 NAME

OpenAPI::Client::OpenAI::Path::responses - Documentation for the /responses path.

=head1 DESCRIPTION

This document describes the API endpoint at C</responses>.

=head1 PATHS


=head2 C<POST /responses>

Creates a model response. Provide L<text|https://platform.openai.com/docs/guides/text> or
L<image|https://platform.openai.com/docs/guides/images> inputs to generate L<text|https://platform.openai.com/docs/guides/text>
or L<JSON|https://platform.openai.com/docs/guides/structured-outputs> outputs. Have the model call
your own L<custom code|https://platform.openai.com/docs/guides/function-calling> or use built-in
L<tools|https://platform.openai.com/docs/guides/tools> like L<web search|https://platform.openai.com/docs/guides/tools-web-search>
or L<file search|https://platform.openai.com/docs/guides/tools-file-search> to use your own data
as input for the model's response.



=head3 Operation ID

C<createResponse>

    $client->createResponse( ... );

=head3 Parameters

=over 4

=back

=head3 Request Body
  
=head3 Content Type: C<application/json>

    
      

      
             

=head3 Responses


=head4 Status Code: C<200>

OK


=head4 Content Types:

=over 4


=item * C<application/json>

Example (See the L<OpenAI spec for more detail|https://github.com/openai/openai-openapi/blob/master/openapi.yaml>):

    {
       "created_at" : 1741476777,
       "error" : null,
       "id" : "resp_67ccd3a9da748190baa7f1570fe91ac604becb25c45c1d41",
       "incomplete_details" : null,
       "instructions" : null,
       "max_output_tokens" : null,
       "metadata" : {},
       "model" : "gpt-4o-2024-08-06",
       "object" : "response",
       "output" : [
          {
             "content" : [
                {
                   "annotations" : [],
                   "text" : "The image depicts a scenic landscape with a wooden boardwalk or pathway leading through lush, green grass under a blue sky with some clouds. The setting suggests a peaceful natural area, possibly a park or nature reserve. There are trees and shrubs in the background.",
                   "type" : "output_text"
                }
             ],
             "id" : "msg_67ccd3acc8d48190a77525dc6de64b4104becb25c45c1d41",
             "role" : "assistant",
             "status" : "completed",
             "type" : "message"
          }
       ],
       "parallel_tool_calls" : true,
       "previous_response_id" : null,
       "reasoning" : {
          "effort" : null,
          "summary" : null
       },
       "status" : "completed",
       "store" : true,
       "temperature" : 1,
       "text" : {
          "format" : {
             "type" : "text"
          }
       },
       "tool_choice" : "auto",
       "tools" : [],
       "top_p" : 1,
       "truncation" : "disabled",
       "usage" : {
          "input_tokens" : 328,
          "input_tokens_details" : {
             "cached_tokens" : 0
          },
          "output_tokens" : 52,
          "output_tokens_details" : {
             "reasoning_tokens" : 0
          },
          "total_tokens" : 380
       },
       "user" : null
    }



=item * C<text/event-stream>

Example (See the L<OpenAI spec for more detail|https://github.com/openai/openai-openapi/blob/master/openapi.yaml>):



=back

=head1 SEE ALSO

L<OpenAPI::Client::OpenAI::Path>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2023-2025 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.14.0 or,
at your option, any later version of Perl 5 you may have available.

=cut

Powered by Groonga
Maintained by Kenichi Ishigaki <ishigaki@cpan.org>. If you find anything, submit it on GitHub.